create_capacitor#

MaxwellCircuitComponents.create_capacitor(name=None, value=50, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a capacitor.

Parameters:
namestr, optional

Name of the capacitor. The default is None.

valuefloat, optional

Value for the capacitor. The default is 50.

locationlist of float, optional

Position on the X axis and Y axis.

anglefloat, optional

Angle of rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list or not. The default is False.

Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent